/* $Header: warns.c,v 1.1 88/02/10 22:31:47 hahn Exp $ */

/*
 * Author: Peter J. Nicklin
 */

/*
 * warns() places an error message and a string argument on the
 * standard error output stream stderr.
 */
#include <stdio.h>
#include "null.h"

extern char *PGN;			/* program name */

warns(m, s)
	char *m;			/* warning message */
	char *s;			/* string argument */
{
	if (PGN != NULL && *PGN != '\0')
		fprintf(stderr, "%s: ", PGN);
	fprintf(stderr, m, s);
	fprintf(stderr, "\n");
}
